---
search:
  tags:
    - Translations
    - GET
seo:
  description: >-
    Retrieves all translations associated with… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/translations/ref/{parent_ref} endpoint in the
    Management API.
sidebar:
  label: List translations by parent reference
  badge: GET
title: List translations by parent reference
type: openapi-operation
---
Retrieves all translations associated with a specific parent item identified by its UUID reference

`GET /api/v1/{team_slug}/{app_slug}/translations/ref/{parent_ref}`

**Responses**

- `200` — Translations
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "field_type": "name",
      "id": "string",
      "language_code": "string",
      "parent_ref": "string",
      "parent_type": "product",
      "translation": "string"
    }
  ],
  "details": [
    "string"
  ],
  "success": true
}
```
